=== debian/changelog ===
golang-github-theupdateframework-go-tuf (0.5.2-5~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Nilesh Patra <nilesh@debian.org>  Fri, 20 Oct 2023 04:42:18 +0530

golang-github-theupdateframework-go-tuf (0.5.2-5) unstable; urgency=medium

  * Revert "Delete unncessary testdata from package" and lintian override
    instead. This unbreaks autopkgtests

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 12 Sep 2023 06:54:01 -0400

golang-github-theupdateframework-go-tuf (0.5.2-4) unstable; urgency=medium

  * compile against flynn/docopt -> docopt/docopt

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 11 Sep 2023 20:43:08 -0400

golang-github-theupdateframework-go-tuf (0.5.2-3) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 22 Aug 2023 20:14:28 -0400

golang-github-theupdateframework-go-tuf (0.5.2-2) experimental; urgency=medium

  * Incorportated ftp-master review for debian/copyright
  * Target experimental

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 12 Jul 2023 07:26:45 -0400

golang-github-theupdateframework-go-tuf (0.5.2-1) unstable; urgency=medium

  * Initial release (Closes: #1030557)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 04 Feb 2023 19:07:03 -0500
