## golang-github-theupdateframework-go-tuf 0.6.1

=== debian/changelog ===
golang-github-theupdateframework-go-tuf (0.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 Nov 2023 22:55:28 +0000
