## golang-github-theupdateframework-go-tuf 2.0.2

=== debian/changelog ===
golang-github-theupdateframework-go-tuf (2.0.2-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 25 Oct 2024 09:07:42 +0200

golang-github-theupdateframework-go-tuf (2.0.2-1~exp0) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - To experimental due to rekor + sigstore/sigstore using v0.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 23 Oct 2024 08:07:34 +0200
