=== debian/control ===
Source: golang-github-theupdateframework-go-tuf
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-go-logr-stdr-dev,
               golang-github-secure-systems-lab-go-securesystemslib-dev,
               golang-github-sigstore-sigstore-dev,
               golang-github-spf13-cobra-dev,
               golang-github-stretchr-testify-dev,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-theupdateframework-go-tuf
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-theupdateframework-go-tuf.git
Homepage: https://github.com/theupdateframework/go-tuf
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/theupdateframework/go-tuf

Package: golang-github-theupdateframework-go-tuf-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-go-logr-stdr-dev,
         golang-github-secure-systems-lab-go-securesystemslib-dev,
         golang-github-sigstore-sigstore-dev,
         golang-github-spf13-cobra-dev,
         golang-github-stretchr-testify-dev,
         ${misc:Depends},
Description: Securing software in golang (library)
 The Update Framework (TUF) helps developers maintain the security of software
 update systems, providing protection even against attackers that compromise
 the repository or signing keys. TUF provides a flexible framework and
 specification that developers can adopt into any software update system.
