## golang-github-theupdateframework-go-tuf 2.0.2%2B0.7.0

=== debian/changelog ===
golang-github-theupdateframework-go-tuf (2.0.2+0.7.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Add myself to Uploaders.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 12 Dec 2024 08:37:22 +0100

golang-github-theupdateframework-go-tuf (2.0.2+0.7.0-1~exp0) experimental; urgency=medium

  * Team upload.
  * Add v0 component with v0.7.0 release, merge old packaging.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 01 Dec 2024 11:26:39 +0100
