## golang-github-theupdateframework-go-tuf 2.0.2+0.7.0

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: golang-github-theupdateframework-go-tuf
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Reinhard Tartler <siretart@tauware.de>
+Uploaders: Reinhard Tartler <siretart@tauware.de>,
+           Simon Josefsson <simon@josefsson.org>,
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
+               golang-github-docopt-docopt-go-dev,
                golang-github-go-logr-stdr-dev,
                golang-github-secure-systems-lab-go-securesystemslib-dev,
                golang-github-sigstore-sigstore-dev,
@@ -22,7 +24,8 @@
 Package: golang-github-theupdateframework-go-tuf-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-go-logr-stdr-dev,
+Depends: golang-github-docopt-docopt-go-dev,
+         golang-github-go-logr-stdr-dev,
          golang-github-secure-systems-lab-go-securesystemslib-dev,
          golang-github-sigstore-sigstore-dev,
          golang-github-spf13-cobra-dev,
