=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,13 @@
 #!/usr/bin/make -f
+
+# These are hacks for the v0 component/branch only.
+export DH_GOLANG_EXCLUDES := python_interop go-tuf/v0/cmd/tuf
+execute_before_dh_auto_build:
+	find _build/src/github.com/theupdateframework/go-tuf/v0 -type f -print0 | xargs -0 perl -pi -e 's,github.com/flynn/go-docopt,github.com/docopt/docopt-go,'
+	cd _build/src/github.com/theupdateframework/go-tuf/v0; \
+	 rgrep -q "github.com/theupdateframework/go-tuf/v0" . \
+	 || find . -type f -print0 | xargs -0 \
+	  perl -pi -e 's,github.com/theupdateframework/go-tuf,github.com/theupdateframework/go-tuf/v0,'
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
@@ -6,7 +15,7 @@
 override_dh_auto_install:
 	dh_auto_install -- --no-binaries
 
-override_dh_auto_test:
+execute_before_dh_auto_test:
 #--- FAIL: TestDownLoadFile (0.00s)
 #    --- FAIL: TestDownLoadFile/success (0.00s)
 #    --- PASS: TestDownLoadFile/invalid_url (0.00s)
@@ -23,4 +32,3 @@
 #FAIL	github.com/theupdateframework/go-tuf/metadata	0.003s
 	rm -fv _build/src/github.com/theupdateframework/go-tuf/metadata/metadata_test.go
 	rm -fv _build/src/github.com/theupdateframework/go-tuf/metadata/metadata_api_test.go
-	dh_auto_test -O--builddirectory=_build -O--buildsystem=golang
