=== debian/changelog ===
golang-github-theupdateframework-go-tuf (2.3.0+0.7.0-1) unstable; urgency=medium

  [ Simon Josefsson ]
  * Add Salsa CI
  * New upstream version 2.3.0
  * Re-add v0/
  * Add B-D/D golang-github-cenkalti-backoff-dev
  * Use watch v5
  * Bump debian/* copyright years
  * Standards-Version: 4.7.3
  * Drop Rules-Requires-Root: no
  * Silence Salsa CI lintian
  * Improve d/copyright adding lrc.config

  [ Chris Lamb ]
  * Fix reproducibility (Closes: #1122219)

 -- Simon Josefsson <simon@josefsson.org>  Mon, 29 Dec 2025 09:46:57 +0100
