=== debian/control ===
--- 
+++ 
@@ -8,23 +8,24 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
+               golang-github-cenkalti-backoff-dev,
                golang-github-docopt-docopt-go-dev,
                golang-github-go-logr-stdr-dev,
                golang-github-secure-systems-lab-go-securesystemslib-dev,
                golang-github-sigstore-sigstore-dev,
                golang-github-spf13-cobra-dev,
                golang-github-stretchr-testify-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-theupdateframework-go-tuf
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-theupdateframework-go-tuf.git
 Homepage: https://github.com/theupdateframework/go-tuf
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/theupdateframework/go-tuf
 
 Package: golang-github-theupdateframework-go-tuf-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-docopt-docopt-go-dev,
+Depends: golang-github-cenkalti-backoff-dev,
+         golang-github-docopt-docopt-go-dev,
          golang-github-go-logr-stdr-dev,
          golang-github-secure-systems-lab-go-securesystemslib-dev,
          golang-github-sigstore-sigstore-dev,
