=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 override_dh_auto_install:
 	dh_auto_install -- --no-binaries
 
-execute_before_dh_auto_test:
+execute_after_dh_auto_build:
 #--- FAIL: TestDownLoadFile (0.00s)
 #    --- FAIL: TestDownLoadFile/success (0.00s)
 #    --- PASS: TestDownLoadFile/invalid_url (0.00s)
