=== debian/watch ===
Version: 5
Template: Github
Owner: theupdateframework
Project: go-tuf
